Update Custom Api
curl --request PUT \
--url https://api.example.com/api/custom-apis/{api_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {},
"body": "<string>",
"env": {},
"is_active": true
}
'import requests
url = "https://api.example.com/api/custom-apis/{api_id}"
payload = {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {},
"body": "<string>",
"env": {},
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
url: '<string>',
method: '<string>',
headers: {},
body: JSON.stringify('<string>'),
env: {},
is_active: true
})
};
fetch('https://api.example.com/api/custom-apis/{api_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"user_id": 123,
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"headers": {},
"body": "<string>",
"env": {},
"is_active": true,
"is_default": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Custom APIs
Update Custom Api
Update an existing Custom API.
PUT
/
api
/
custom-apis
/
{api_id}
Update Custom Api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request model for updating a Custom API.
API name
Required string length:
1 - 100API description
API URL
Required string length:
1 - 500HTTP method
HTTP headers
Show child attributes
Show child attributes
HTTP body (JSON template)
Environment variables (secrets)
Show child attributes
Show child attributes
Whether the API is active
Response
Successful Response
Response model for Custom API.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

